<?php

namespace Dobley;

abstract class Controller
{
	public function forward($controller, $action)
	{
		//Set the classname and the file
		$class = __NAMESPACE__ . "\\" . ucfirst($controller) . "Controller";
		$file = CONTROLLER_PATH . "/" . ucfirst($controller) . "Controller.php";
		try
		{
			if (is_readable($file)) {
				require_once $file;
				if(class_exists($class, false)) {
					$instantiatedController = new $class();
				} else {
					throw new \Exception("Class $class does not exist in $file");
				}
			} else {
				throw new \Exception("Class file is not readable: $file");
			}
		}
		catch (\Exception $e)
		{
			echo $e->getMessage();
			exit();
		}
		$instantiatedController->dispatchAction($controller, $action);
	}
}